Subject: [Sip] Warning header

From: isshed <[email-masked]>
Date: Thu, 10 Mar 2011 16:46:39 +0530

Hi All,

If an initial INVITE from an endpoint offer contains the sdp as follows.

m=audio 15190 RTP/AVP 100 101\r\n
a=fmtp:18 annexb=yes\r\n
a=fmtp:101 0-15\r\n
a=rtpmap:100 UNACCEPTABLECODEC/8000\r\n
a=sendrecv

the terminating endpoint returns an error response 488 with a warning header
as follows.

Warning: 306 132.177.120.67:5060 "Attribute not understood"

Is 306 is correct response?

Thanks,

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 10 Mar 2011 12:23:27 +0100

Hi,
 
Per section 20.43 of RFC 3261, 306 seems like a good value.
 
 "306 Attribute not understood: One or more of the media attributes
      in the session description are not supported."

Note that it is not a SIP response code, but a code supposed to give additional information about the response.
 
Regards,
 
Christer

________________________________

	From: [email-masked] [mailto:[email-masked]] On Behalf Of isshed
	Sent: 10. maaliskuuta 2011 13:17
	To: [email-masked]; sip-implementors
	Subject: [Sip] Warning header

	Hi All, 

	 
	the terminating endpoint returns an error response 488 with a warning header as follows.

	 
	Thanks,

---

From: isshed <[email-masked]>
Date: Thu, 10 Mar 2011 17:54:35 +0530

Thanks for reply..

what about the addiftional info response 305 or 307?

My question is which one is best suited here?
Thanks,
Harendra
On Thu, Mar 10, 2011 at 4:53 PM, Christer Holmberg <
[email-masked]> wrote:

> Note that it is not a SIP response code, but a code supposed to give
> additional information about the response.
>
> Regards,
>
> Christer
>
>
>
>
>
>

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Thu, 10 Mar 2011 10:43:45 -0500

________________________________________
If an initial INVITE from an endpoint offer contains the sdp as follows.

Is 306 is correct response?
________________________________________

The response is 488, which is correct if the recipient cannot find suitable codecs in the SDP offer.
This makes sense, as the SDP contains no audio coded.

The warning code 306 indicates that the recipient cannot understand one of the a= lines.  Unfortunately,
the message does not indicate which a= line it does not understand.  My understanding is that
if the interpreter of SDP does not understand an a= line, it should ignore it, which is aligned with
the fact that the response contains a warning (as opposed to an error) about not understanding an a= line.

I also see that the m= line mentions codec 101, but there is no a=rtpmap:101 line, which is I think technically
an error, but in practice means that the recipient must ignore codec 101.

Dale

---

From: isshed <[email-masked]>
Date: Fri, 11 Mar 2011 10:43:21 +0530

Thank for your response.

As you correctly said the warning code 306 indicates that the recipient
cannot understand one of the a= lines. But in this case recipient is
understanding the a=rtpmap:100 UNACCEPTABLECODEC/8000 line. Only thing it is
not understanding is the media format(i.e. encoding type). I think 306 is
best suited for the case of a new attribute i.e a=useless.
If you ask me i would still say that warning code 305 is best suited.

Thanks,
On Thu, Mar 10, 2011 at 9:13 PM, Worley, Dale R (Dale) <[email-masked]>wrote:

> I also see that the m= line mentions codec 101, but there is no
> a=rtpmap:101 line, which is I think technically

---

From: Saúl Ibarra Corretgé <[email-masked]>
Date: Thu, 10 Mar 2011 12:34:40 +0000

I'd do 305 in this one, but that's just my 2 cents.

On Thu, Mar 10, 2011 at 11:16 AM, isshed <[email-masked]> wrote:
> _______________________________________________
> Sip-implementors mailing list
> [email-masked]
> https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors
>

-- 
/Saúl
http://saghul.net | http://sipdoc.net